%{?nodejs_find_provides_and_requires}
Name:                nodejs-fstream
Version:             1.0.12
Release:             1
Summary:             Advanced file system stream objects for Node.js
License:             ISC
URL:                 https://github.com/isaacs/fstream
Source0:             https://github.com/isaacs/fstream/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(graceful-fs) npm(inherits) npm(mkdirp) npm(rimraf)
BuildRequires:       npm(tap)
%description
Provides advanced file system stream objects for Node.js.  These objects are
like FS streams, but with stat on them, and support directories and
symbolic links, as well as normal files.  Also, you can use them to set
the stats on a file, even if you don't change its contents, or to create
a symlink, etc.

%prep
%autosetup -n fstream-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fstream
cp -pr package.json fstream.js lib %{buildroot}%{nodejs_sitelib}/fstream
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tap examples/*.js

%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/fstream

%changelog
* Sat Mar 05 2022 houyingchao <houyingchao@huawei.com> - 1.0.12-1
- Upgrade to 1.0.12 version
- Fix CVE-2019-13173

* Tue Jan 05 2020 huanghaitao <huanghaitao8@huawei.com> - 1.0.11-2
- Modify Spec file to make license consistent

* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 1.0.11-1
- package init
